import java.util.*;

public class Example {
  public static void main(String[] args) {

    //                    Parent
    //                  /   |    \
    //                 /    |     \
    //            Child  Brother  Sister
    //                             \
    //                              \
    //                             Neice

    Parent P = new Parent();
    Child C = new Child();
    Sister S = new Sister();
    Brother B = new Brother();
    Neice N = new Neice();

    // Does each of the following lines of code work?

    B = S; /* ______ */

    P = C; /* ______ */
    P.getName(); /* ______ */__

    C = P; /* ______ */

    P = N; /* ______ */

    String t1 = P.getLast();   /* ______ */

    P = B;                     /* ______ */

    String t2 = P.getDegree(); /* ______ */
    String t3 = B.getDegree(); /* ______ */

    ArrayList<Parent> AL = new ArrayList<Parent>();
    AL.add(new Parent());
    AL.add(new Brother());
    AL.add(new Sister());
    AL.add(new Neice());

    String t4 = AL.get(1).getDegree(); /* ______ */

    Child B2 = (Child)P; /* ______ */
  }
}
